<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">            
</head>
<body>
    <h4>JavaScript 4</h4>
    <script>     
        
        
        
       function incluirElemento(){
           
           //cria um novo elemento do tipo LI
           var novoElemento = document.createElement('li');
           
           //atribui o valor ao elemento
           novoElemento.innerHTML = "Item 4";
           
           //localizar o elemento pai na página html
           var elementoPai = document.getElementById('pai');
           
           //incluir o elemento filho na lista
           elementoPai.appendChild(novoElemento);
           
       }
        
        function multiplicar(x, y){
            var resultado = x * y;   
            
            var texto = document.getElementById('caixaDeTexto');
            texto.value = resultado;
        }
        
    </script>  
    
    <ul id="pai">
        <li id="item1">Item 1</li>
        <li id="item2">Item 2</li>         
        <li id="item3">Item 3</li>        
    </ul>
    <input type="text" id="caixaDeTexto" />
    
    
    <input type="button" onclick="multiplicar(1,7)" value="Clique-me" />    
</body>    
</html>



<script>      

    function apresentarMensagem(mensagem){
        alert(mensagem);
    }

    function somar(x, y){
        alert(x + y);   
    }

    //function multiplicar(x,y){
    //    window.alert(x * y);   
    //}
    
    function lerEntrada(){
        var x =  window.prompt("Informe um texto:");
        console.log(x);
    }
    
    
           function criarLista(){
            document.write('<ul>');
            document.write('<li>Item 1</li>')
            document.write('<li>Item 2</li>')
            document.write('<li>Item 3</li>')
            document.write('</ul>');            
        }
        
        function localizarElemento(){
            //var e = document.getElementById('item3');   
            
            var itens = document.getElementsByTagName('li');            
            //alert(itens[2].innerHTML);
            
            var stringLista = '';
            for(var x = 0; x < itens.length; x++){                
                //alert(itens[x].innerHTML);   
                stringLista = stringLista + ', ' +itens[x].innerHTML;
            }
            
            alert(stringLista);   
            
        }  

</script> 